Re: Can't access Draws Manager


Tim Huffaker
 

Hi Basil,it looks like some dependency is missing  see below.  

pi@KM4ESU:~/n7nix/manager $ sudo su
root@KM4ESU:/home/pi/n7nix/manager# ./install.sh
2020 12 17 15:01:06 CST: install.sh: draws-manager install script START
Check required packages: nodejs npm git
install.sh: Will Install npm package
   Check for existence of local draws-manager repo
true
About to update draws-manager repo, removing package-lock
Successfully removed webapp/package-lock.json
remote: Enumerating objects: 29, done.
remote: Counting objects: 100% (29/29), done.
remote: Compressing objects: 100% (26/26), done.
remote: Total 29 (delta 18), reused 3 (delta 3), pack-reused 0
Unpacking objects: 100% (29/29), done.
From https://github.com/nwdigitalradio/draws-manager
   8e7edb6..a3cbdd7  master     -> origin/master
 * [new branch]      sensor_fix -> origin/sensor_fix
Updating 8e7edb6..a3cbdd7
Fast-forward
 webapp/io.js             |   6 +-
 webapp/package-lock.json | 685 +++++++++++++++++++++++++----------------------
 webapp/package.json      |   2 +-
 3 files changed, 363 insertions(+), 330 deletions(-)
 
=== Installing required PACKAGES
Reading package lists...
Building dependency tree...
Reading state information...
git is already the newest version (1:2.20.1-2+deb10u3).
nodejs is already the newest version (15.4.0-1nodesource1).
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:
 
The following packages have unmet dependencies:
 nodejs : Conflicts: npm
 npm : Depends: node-gyp (>= 3.6.2~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Package install failed. Please try this command manually:
apt-get -y nodejs npm git
root@KM4ESU:/home/pi/n7nix/manager# 

Tim 
KM4ESU

Join udrc@nw-digital-radio.groups.io to automatically receive all group messages.